package com.fjhx.xmhjc.controller.about;

import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.xmhjc.entity.about.vo.AboutUsCultureVo;
import com.fjhx.xmhjc.entity.about.dto.AboutUsCultureSelectDto;
import com.fjhx.xmhjc.entity.about.dto.AboutUsCultureDto;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.fjhx.xmhjc.service.about.AboutUsCultureService;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
 * <p>
 * 关于我们-企业文化 前端控制器
 * </p>
 *
 * @author lqh
 * @since 2023-11-14
 */
@RestController
@RequestMapping("/aboutUsCulture")
public class AboutUsCultureController {

    @Autowired
    private AboutUsCultureService aboutUsCultureService;

    /**
     * 关于我们-企业文化列表
     */
    @PostMapping("/list")
    public List<AboutUsCultureVo> list(@RequestBody AboutUsCultureSelectDto dto) {
        return aboutUsCultureService.getList(dto);
    }

    /**
     * 关于我们-企业文化分页
     */
    @PostMapping("/page")
    public Page<AboutUsCultureVo> page(@RequestBody AboutUsCultureSelectDto dto) {
        return aboutUsCultureService.getPage(dto);
    }

    /**
     * 关于我们-企业文化明细
     */
    @PostMapping("/detail")
    public AboutUsCultureVo detail(@RequestBody BaseSelectDto dto) {
        return aboutUsCultureService.detail(dto.getId());
    }

    /**
     * 关于我们-企业文化新增
     */
    @PostMapping("/add")
    public void add(@RequestBody AboutUsCultureDto aboutUsCultureDto) {
        aboutUsCultureService.add(aboutUsCultureDto);
    }

    /**
     * 关于我们-企业文化编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody AboutUsCultureDto aboutUsCultureDto) {
        aboutUsCultureService.edit(aboutUsCultureDto);
    }

    /**
     * 关于我们-企业文化删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        aboutUsCultureService.delete(dto.getId());
    }

}
